//---------------------------------------------------------------------------
//
// Name:        GEditDlg.cpp
// Author:      i-saint
// Created:     2005/04/22 9:47:22
//
//---------------------------------------------------------------------------

#include "ResizeDlg.h"
#include "GroundEditorApp.h"

//Do not add custom headers.
//wx-dvcpp designer will remove them
////Header Include Start
////Header Include End



//----------------------------------------------------------------------------
// GEditDlg
//----------------------------------------------------------------------------
     //Add Custom Events only in the appropriate Block.
    // Code added in  other places will be removed by wx-dvcpp 
    ////Event Table Start
BEGIN_EVENT_TABLE(ResizeDlg,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(ResizeDlg::ResizeDlgClose)
	EVT_BUTTON(wxID_OK,ResizeDlg::BUOkClick1)
	EVT_TEXT_ENTER(ID_TEGRIDSIZE,ResizeDlg::TEMapXEnter)
	EVT_TEXT_ENTER(ID_TEMAPZ,ResizeDlg::TEMapXEnter)
	EVT_TEXT_ENTER(ID_TEMAPX,ResizeDlg::TEMapXEnter)
END_EVENT_TABLE()
    ////Event Table End



ResizeDlg::ResizeDlg( wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style )
    : wxDialog( parent, id, title, position, size, style)
{
    CreateGUIControls();
    wxString tmp;
    Ground& g = GetGround();

    tmp.Printf("%.1f", g.getGridSize());
    TEGridSize->SetValue(tmp);

    tmp.Printf("%.1f", g.getMax().x-g.getMin().x);
    TEMapX->SetValue(tmp);

    tmp.Printf("%.1f", g.getMax().y-g.getMin().y);
    TEMapZ->SetValue(tmp);
}

ResizeDlg::~ResizeDlg() {} 

void ResizeDlg::CreateGUIControls(void)
{
    //Do not add custom Code here
    //wx-devcpp designer will remove them.
    //Add the custom code before or after the Blocks
    ////GUI Items Creation Start

	this->SetSize(8,8,175,159);
	this->SetTitle(_("resize"));
	this->Center();
	this->SetIcon(wxNullIcon);
	

	CKPreserve =  new wxCheckBox(this, ID_CKPRESERVE, _("preserve") , wxPoint(8,72),wxSize(65,17) );
	CKPreserve->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	BUOk =  new wxButton(this, wxID_OK, _("ok") , wxPoint(96,104),wxSize(59,25) );
	BUOk->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	WxStaticText5 =  new wxStaticText(this, ID_WXSTATICTEXT5 ,_("grid size") ,wxPoint(4,48),wxSize(42,17)  );
	WxStaticText5->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	TEGridSize =  new wxTextCtrl(this, ID_TEGRIDSIZE, _("20") , wxPoint(52,48),wxSize(57,21)  , wxTE_PROCESS_ENTER);
	TEGridSize->SetMaxLength(0);
	TEGridSize->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	WxStaticText2 =  new wxStaticText(this, ID_WXSTATICTEXT2 ,_("z") ,wxPoint(76,16),wxSize(9,17)  );
	WxStaticText2->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	WxStaticText1 =  new wxStaticText(this, ID_WXSTATICTEXT1 ,_("x") ,wxPoint(4,16),wxSize(9,17)  );
	WxStaticText1->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	TEMapZ =  new wxTextCtrl(this, ID_TEMAPZ, _("1000") , wxPoint(84,16),wxSize(57,21)  , wxTE_PROCESS_ENTER);
	TEMapZ->SetMaxLength(0);
	TEMapZ->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	TEMapX =  new wxTextCtrl(this, ID_TEMAPX, _("1000") , wxPoint(12,16),wxSize(57,21)  , wxTE_PROCESS_ENTER);
	TEMapX->SetMaxLength(0);
	TEMapX->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	WxStaticBox1 =  new wxStaticBox(this, ID_WXSTATICBOX1,_("resize"),wxPoint(0,0),wxSize(161,97)  );
	WxStaticBox1->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));
    ////GUI Items Creation End
}

void ResizeDlg::ResizeDlgClose(wxCloseEvent& event)
{
    // --> Don't use Close with a wxDialog,
    // use Destroy instead.
    Destroy();
}
 

void ResizeDlg::execute()
{
	double x=0, z=0, g=0;
	if(TEMapX->GetValue().ToDouble(&x)
	&& TEMapZ->GetValue().ToDouble(&z)
	&& TEGridSize->GetValue().ToDouble(&g)) {
		ist::vector2 mn(-x/2.0, -z/2.0);
		ist::vector2 mx(x/2.0, z/2.0);
		GetGEApp().resize(mn, mx, g, CKPreserve->IsChecked());
		Destroy();
	}
}

/*
 * BUOkClick1
 */
void ResizeDlg::BUOkClick1(wxCommandEvent& event)
{
	// insert your code here
	execute();
	event.Skip();
}


/*
 * TEMapXEnter
 */
void ResizeDlg::TEMapXEnter(wxCommandEvent& event)
{
	// insert your code here
	execute();
	event.Skip();
}
