//---------------------------------------------------------------------------
//
// Name:        GEditDlg.h
// Author:      i-saint
// Created:     2005/04/22 9:47:22
//
//---------------------------------------------------------------------------
#ifndef __GEDITDLG_HPP_
#define __GEDITDLG_HPP_


// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif


//Do not add custom headers.
//wx-dvcpp designer will remove them
////Header Include Start
#include <wx/checkbox.h>
#include <wx/button.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/statbox.h>
////Header Include End

#include <wx/dialog.h>

//Compatibility for 2.4.x code
#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
#define wxFIXED_MINSIZE 0
#endif

////Dialog Style Start
	#define THIS_DIALOG_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT |  wxCLOSE_BOX
////Dialog Style End

class ResizeDlg : public wxDialog
{
public:
    ResizeDlg( wxWindow *parent, wxWindowID id = 1, const wxString &title = _T("GEditDlg"),
        const wxPoint& pos = wxDefaultPosition,
        const wxSize& size = wxDefaultSize,
        long style = THIS_DIALOG_STYLE);
    virtual ~ResizeDlg();

public:

  //Do not add custom Control Declarations here.
  //wx-devcpp will remove them. Try adding the custom code 
  //after the block.
  ////GUI Control Declaration Start
	wxCheckBox *CKPreserve;
	wxButton *BUOk;
	wxStaticText *WxStaticText5;
	wxTextCtrl *TEGridSize;
	wxStaticText *WxStaticText2;
	wxStaticText *WxStaticText1;
	wxTextCtrl *TEMapZ;
	wxTextCtrl *TEMapX;
	wxStaticBox *WxStaticBox1;
  ////GUI Control Declaration End

private:
    DECLARE_EVENT_TABLE()

public:
    //Note: if you receive any error with these enums, then you need to
    //change your old form code that are based on the #define control ids.
    //#defines may replace a numeric value for the enums names.
    //Try copy pasting the below block in your old Form header Files.
	enum {
////GUI Enum Control ID Start
ID_CKPRESERVE = 1037 ,
ID_WXSTATICTEXT5 = 1035 ,
ID_TEGRIDSIZE = 1034 ,
ID_WXSTATICTEXT2 = 1033 ,
ID_WXSTATICTEXT1 = 1032 ,
ID_TEMAPZ = 1031 ,
ID_TEMAPX = 1030 ,
ID_WXSTATICBOX1 = 1029 ,
////GUI Enum Control ID End
   ID_DUMMY_VALUE_ //Dont Delete this DummyValue
   }; //End of Enum

public:
	void execute();

public:
	void ResizeDlgClose(wxCloseEvent& event);
    void CreateGUIControls(void);
	void BUOkClick1(wxCommandEvent& event);
	void TEMapXEnter(wxCommandEvent& event);

};


#endif
 
 
 
 

