//---------------------------------------------------------------------------
//
// Name:        ScaleDlg.cpp
// Author:      i-saint
// Created:     2005/04/23 13:15:54
//
//---------------------------------------------------------------------------

#include "ScaleDlg.h"
#include "GroundEditorApp.h"

//Do not add custom headers.
//wx-dvcpp designer will remove them
////Header Include Start
////Header Include End



//----------------------------------------------------------------------------
// ScaleDlg
//----------------------------------------------------------------------------
     //Add Custom Events only in the appropriate Block.
    // Code added in  other places will be removed by wx-dvcpp 
    ////Event Table Start
BEGIN_EVENT_TABLE(ScaleDlg,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(ScaleDlg::ScaleDlgClose)
	EVT_TEXT_ENTER(ID_TEY,ScaleDlg::TEXZEnter)
	EVT_TEXT_ENTER(ID_TEXZ,ScaleDlg::TEXZEnter)
	EVT_BUTTON(wxID_OK,ScaleDlg::BUOkClick)
END_EVENT_TABLE()
    ////Event Table End



ScaleDlg::ScaleDlg( wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style )
    : wxDialog( parent, id, title, position, size, style)
{
    CreateGUIControls();
}

ScaleDlg::~ScaleDlg() {} 

void ScaleDlg::CreateGUIControls(void)
{
    //Do not add custom Code here
    //wx-devcpp designer will remove them.
    //Add the custom code before or after the Blocks
    ////GUI Items Creation Start

	this->SetSize(8,8,171,113);
	this->SetTitle(_("scale"));
	this->Center();
	this->SetIcon(wxNullIcon);
	

	TEY =  new wxTextCtrl(this, ID_TEY, _("1.0") , wxPoint(96,16),wxSize(57,21)  , wxTE_PROCESS_ENTER);
	TEY->SetMaxLength(0);
	TEY->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	TEXZ =  new wxTextCtrl(this, ID_TEXZ, _("1.0") , wxPoint(24,16),wxSize(49,21)  , wxTE_PROCESS_ENTER);
	TEXZ->SetMaxLength(0);
	TEXZ->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	WxStaticText2 =  new wxStaticText(this, ID_WXSTATICTEXT2 ,_("y") ,wxPoint(80,16),wxSize(9,17)  );
	WxStaticText2->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	WxStaticText1 =  new wxStaticText(this, ID_WXSTATICTEXT1 ,_("xz") ,wxPoint(8,16),wxSize(14,17)  );
	WxStaticText1->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	BUOk =  new wxButton(this, wxID_OK, _("ok") , wxPoint(96,56),wxSize(59,25) );
	BUOk->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));

	scale =  new wxStaticBox(this, ID_SCALE,_("scale"),wxPoint(0,0),wxSize(161,49)  );
	scale->SetFont(wxFont(8, wxSWISS ,wxNORMAL,wxNORMAL,FALSE,_T("MS Sans Serif")));
    ////GUI Items Creation End
}

void ScaleDlg::ScaleDlgClose(wxCloseEvent& event)
{
    // --> Don't use Close with a wxDialog,
    // use Destroy instead.
    Destroy();
}


void ScaleDlg::execute()
{
	double xz=0, y=0;
	if(TEXZ->GetValue().ToDouble(&xz)
	&& TEY->GetValue().ToDouble(&y)) {
		GetGEApp().scale(xz, y);
		Destroy();
	}
}

/*
 * BUOkClick
 */
void ScaleDlg::BUOkClick(wxCommandEvent& event)
{
	// insert your code here
	execute();
	event.Skip();
}

/*
 * TEXZEnter
 */
void ScaleDlg::TEXZEnter(wxCommandEvent& event)
{
	// insert your code here
	execute();
	event.Skip();
}
