//---------------------------------------------------------------------------
//
// Name:        GroundEditorApp.h
// Author:      i-saint
// Created:     2005/04/19 8:12:12
//
//---------------------------------------------------------------------------
#ifndef WXGEAPP
#define WXGEAPP

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include "geapp.h"

class GroundEditorFrmApp:public wxApp
{
public:
	bool OnInit();
	int OnExit();

	GEApp& getGEApp() { return geapp; }

private:
	GEApp geapp;
};



DECLARE_APP(GroundEditorFrmApp)

#define GetGEApp() wxGetApp().getGEApp()
#define GetBrush() GetGEApp().getBrush()
#define GetGround() GetGEApp().getGround()
#define GetMinimap() GetGEApp().getMinimap()
 
#endif
