#ifndef DSOSETUP_INCLUDE
#define DSOSETUP_INCLUDE


#ifdef _WIN32
	#include <windows.h>
	#ifdef __cplusplus
		#define DSO_EXPORT extern "C" __declspec (dllexport)
	#else 
		#define DSO_EXPORT __declspec (dllexport)
	#endif

	#define DECLARE_DSO_ENTRYPOINT()\
BOOL WINAPI DllEntryPoint(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)\
{\
	return TRUE;\
}

#endif
#ifdef linux
	#ifdef __cplusplus
		#define DSO_EXPORT extern "C"
	#else 
		#define DSO_EXPORT
	#endif

	#define DECLARE_DSO_ENTRYPOINT()
#endif



#endif
