template<class T>
class ReferenceCounter : public T
{
public:
	ReferenceCounter() : ref_count(0) {}
	void addRef() { ++ref_count; }
	void release() { if(--ref_count==0) delete this; }
	size_t getRefCount() { return ref_count; }

private:
	size_t ref_count;
};
